Bug 961898 - NetworkManager displays confusing error after canceling VPN creation dialog
NetworkManager displays confusing error after canceling VPN creation dialog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 12:56 EDT by Geoff Goas
Modified: 2014-02-05 16:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:18:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of behavior (28.66 KB, image/png)
2013-05-10 12:56 EDT, Geoff Goas
no flags Details

  None (edit)
Description Geoff Goas 2013-05-10 12:56:52 EDT
Created attachment 746262 [details]
Screenshot of behavior

Description of problem:

NetworkManager displays confusing error after canceling VPN creation dialog

Version-Release number of selected component (if applicable):

NetworkManager-0.9.8.1-1.git20130327.fc18.i686

How reproducible:

Always

Steps to Reproduce:
1. Click on the NetworkManager icon
2. Click on "Network Settings"
3. Click on the plus sign (+) at the bottom left corner of the dialog
4. Choose "VPN" and click on the "Create" button
5. Click "Cancel"
  
Actual results:

NetworkManager displays an error dialog which reads in large font type: "Could not create new connection". In smaller type, it states: "The connection editor dialog could not be initialized due to an unknown error."

Expected results:

After pressing "Cancel", the user should simply be taken back to the original "Network Settings" dialog.

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 08:28:38 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:18:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.